WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Issue with

[Resolved] Issue with

  • Hello, thank you for your plugin.
    Unfortunately it doesn’t work on my side.
    Below you can see the errors. Would you please update the plugin or offer a workaround.

    Warning: curl_setopt() [function.curl-setopt]: CURLOPT_FOLLOWLOCATION cannot be activated when safe_mode is enabled or an open_basedir is set in /var/www/xxx/wp-content/plugins/my-google-books-library/my-google-books-library.php on line 367

    Warning: curl_setopt() [function.curl-setopt]: CURLOPT_FOLLOWLOCATION cannot be activated when safe_mode is enabled or an open_basedir is set in /var/www/xxx/wp-content/plugins/my-google-books-library/my-google-books-library.php on line 78

    http://wordpress.org/extend/plugins/my-google-books-library/

Viewing 1 replies (of 1 total)
  • Plugin Author hugmin42
    Member

    @hugmin42

    Hi, sorry for the late reply.

    It seems that the warning is caused by your servers php setup.

    Here someone had a similar problem:
    http://stackoverflow.com/questions/6918623/curlopt-followlocation-cannot-be-activated

    As I need to use cURL for reading in the Google Books you will need to “Set safe_mode = Off in your php.ini file (it’s usually in /etc/ on the server). If that’s already off, then look around for the open_basedir stuff in the php.ini file, and change it accordingly.”

    I hope this helps and that you do have access to these files.

    Thank you for informing me of this possible error.

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Issue with’ is closed to new replies.